use dxf::{
    entities::{Entity, EntityType, Line},
    Drawing,
};

use crate::geometry::Geometry;

pub struct DXFConverter;

impl DXFConverter {
    pub fn export(geometry: &Geometry, file: &str) {
        let mut drawing = Drawing::new();
        let added_entity_ref = drawing.add_entity(Entity::new(EntityType::Line(Line::default())));
        // `added_entity_ref` is a reference to the newly added entity
        drawing.save_file("./file.dxf").unwrap();
    }
}
